"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.IMediaRecorderImpl = void 0;
var _IrisApiEngine = require("../internal/IrisApiEngine");
// @ts-ignore
class IMediaRecorderImpl {
  setMediaRecorderObserver(callback) {
    const apiType = this.getApiTypeFromSetMediaRecorderObserver(callback);
    const jsonParams = {
      callback: callback,
      toJSON: () => {
        return {};
      }
    };
    const jsonResults = _IrisApiEngine.callIrisApi.call(this, apiType, jsonParams);
    return jsonResults.result;
  }
  getApiTypeFromSetMediaRecorderObserver(callback) {
    return 'MediaRecorder_setMediaRecorderObserver';
  }
  startRecording(config) {
    const apiType = this.getApiTypeFromStartRecording(config);
    const jsonParams = {
      config: config,
      toJSON: () => {
        return {
          config: config
        };
      }
    };
    const jsonResults = _IrisApiEngine.callIrisApi.call(this, apiType, jsonParams);
    return jsonResults.result;
  }
  getApiTypeFromStartRecording(config) {
    return 'MediaRecorder_startRecording';
  }
  stopRecording() {
    const apiType = this.getApiTypeFromStopRecording();
    const jsonParams = {};
    const jsonResults = _IrisApiEngine.callIrisApi.call(this, apiType, jsonParams);
    return jsonResults.result;
  }
  getApiTypeFromStopRecording() {
    return 'MediaRecorder_stopRecording';
  }
}
exports.IMediaRecorderImpl = IMediaRecorderImpl;
//# sourceMappingURL=IAgoraMediaRecorderImpl.js.map