import './extension/IAudioDeviceManagerExtension';
import { AudioDeviceInfo } from './IAgoraRtcEngine';
/**
 * The maximum length of the device ID.
 */
export declare enum MaxDeviceIdLengthType {
    /**
     * The maximum length of the device ID is 512 bytes.
     */
    MaxDeviceIdLength = 512
}
/**
 * Audio device management methods.
 */
export declare abstract class IAudioDeviceManager {
    /**
     * @ignore
     */
    abstract enumeratePlaybackDevices(): AudioDeviceInfo[];
    /**
     * @ignore
     */
    abstract enumerateRecordingDevices(): AudioDeviceInfo[];
    /**
     * @ignore
     */
    abstract setPlaybackDevice(deviceId: string): number;
    /**
     * @ignore
     */
    abstract getPlaybackDevice(): string;
    /**
     * @ignore
     */
    abstract getPlaybackDeviceInfo(): AudioDeviceInfo;
    /**
     * @ignore
     */
    abstract setPlaybackDeviceVolume(volume: number): number;
    /**
     * @ignore
     */
    abstract getPlaybackDeviceVolume(): number;
    /**
     * @ignore
     */
    abstract setRecordingDevice(deviceId: string): number;
    /**
     * @ignore
     */
    abstract getRecordingDevice(): string;
    /**
     * @ignore
     */
    abstract getRecordingDeviceInfo(): AudioDeviceInfo;
    /**
     * @ignore
     */
    abstract setRecordingDeviceVolume(volume: number): number;
    /**
     * @ignore
     */
    abstract getRecordingDeviceVolume(): number;
    /**
     * @ignore
     */
    abstract setLoopbackDevice(deviceId: string): number;
    /**
     * @ignore
     */
    abstract getLoopbackDevice(): string;
    /**
     * @ignore
     */
    abstract setPlaybackDeviceMute(mute: boolean): number;
    /**
     * @ignore
     */
    abstract getPlaybackDeviceMute(): boolean;
    /**
     * @ignore
     */
    abstract setRecordingDeviceMute(mute: boolean): number;
    /**
     * @ignore
     */
    abstract getRecordingDeviceMute(): boolean;
    /**
     * @ignore
     */
    abstract startPlaybackDeviceTest(testAudioFilePath: string): number;
    /**
     * @ignore
     */
    abstract stopPlaybackDeviceTest(): number;
    /**
     * @ignore
     */
    abstract startRecordingDeviceTest(indicationInterval: number): number;
    /**
     * @ignore
     */
    abstract stopRecordingDeviceTest(): number;
    /**
     * @ignore
     */
    abstract startAudioDeviceLoopbackTest(indicationInterval: number): number;
    /**
     * @ignore
     */
    abstract stopAudioDeviceLoopbackTest(): number;
    /**
     * @ignore
     */
    abstract followSystemPlaybackDevice(enable: boolean): number;
    /**
     * @ignore
     */
    abstract followSystemRecordingDevice(enable: boolean): number;
    /**
     * @ignore
     */
    abstract followSystemLoopbackDevice(enable: boolean): number;
    /**
     * @ignore
     */
    abstract release(): void;
    /**
     * @ignore
     */
    abstract getPlaybackDefaultDevice(): AudioDeviceInfo;
    /**
     * @ignore
     */
    abstract getRecordingDefaultDevice(): AudioDeviceInfo;
}
//# sourceMappingURL=IAudioDeviceManager.d.ts.map